package org.project.entity.enemies;

import org.project.entity.Entity;
import org.project.entity.players.Player;

public class Skeleton extends Enemy {

    private static  int HP = 100;
    private int deathCounter = 0;
    private static  int skeletonDamage = 30;

    public Skeleton(){
        super(HP,skeletonDamage);
    }

    @Override
    public void specialAbility(Player target) {
        super.attack(target);
    }

    @Override
    public String getName() {
        return "Skeleton";
    }

    @Override
    public void makeDie() {
        if (deathCounter == 0){
            this.setHp(HP / 2);
            deathCounter++;
            System.out.println("Skeleton resurrected!");
            return;
        }

        super.makeDie();
    }

}
